package PureMessage::Database::PostgreSQL::Config;
use strict;
use warnings;
use PureMessage::Version qw($PREFIX);
require Exporter;
our @ISA = qw(Exporter ActiveState::Config);

our %pg_config;
our %pg_native_config;
our @EXPORT_OK = qw(%pg_config ); #%pg_native_config);

my $conf_file = "$PREFIX/postgres/etc/database.conf";
unless (-e $conf_file) {
    print <<ENDMSG;

Error - the PostgreSQL Centralized Quarantine config file 
($conf_file) doesn't exist.

ENDMSG
    exit(-1);
}

%pg_config = PureMessage::Database::PostgreSQL::Config->new->as_hash;

sub new {
    require ActiveState::Config;
    my $class = shift;
    my %options = @_;
    my $self = $class->SUPER::new;
    $self->parse_file($conf_file);
    return $self;
}

sub get_default_dsn {
    my $self = shift;
    my %cfg_hash = $self->as_hash();
    my $port = $cfg_hash{pg_port};
    my $db = $cfg_hash{db_name};
    return "dbi:Pg:dbname=$db;port=$port";
}

1;
